Bug 42499 - Backslash produces a 404 error instead of going to is mod_rewrite
Summary: Backslash produces a 404 error instead of going to is mod_rewrite
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_rewrite (show other bugs)
Version: 2.2.4
Hardware: PC Windows XP
: P2 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2007-05-23 09:45 UTC by Csaba Gabor
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Gabor 2007-05-23 09:45:14 UTC
If the url submitted to my apache server contains a backslash, then I get a 404
error.  For example:
Not Found
The requested URL /DE/d:(^|;)\w{7}(;|:$)/o:-DE;US;-US was not found on
this server.

The URL is not handed off to mod_rewrite (As I would think it should be) to be
processed by my rewrite rules.  Setting AllowEncodedSlashes causes apache to
convert the backslash(es) to forward slashes, which is not what I want.

My band aid solution to this is to set
ErrorDocument 404 "/search.php"
and then in search.php append the third line (the first two already being standard):
$path_info = @$_SERVER['ORIG_PATH_INFO'];
if (!$path_info) $path_info = @$_SERVER['PATH_INFO'];
if (($ru=$_SERVER['REDIRECT_URL']) && !$path_info) $path_info = $ru;

Still this solution is cumbersome and not very nice.  Shouldn't apache wait
until the rewrite rules can't deal with the original URL to issue the error?

Csaba Gabor from Vienna

This issue originally described at:
http://groups.google.com/group/alt.apache.configuration/browse_frm/thread/1ba63c9cc8036a05/44217cdf290612c6
Comment 1 Eric Covener 2011-09-17 17:19:11 UTC
allowencodedslashes
Comment 2 Dmitry 2012-11-27 20:02:54 UTC
http://188.64.218.136/sad/sad/sad/dfsdfsdfsd.htm do 404 error by ErrorDocument 404 /FreeModules/404.php.

http://188.64.218.136/sad\sad do simple text error "Not Found The requested URL /sad\sad was not found on this server.". I want to use my Animegirl on 404 page.

Sorry for my english.
Comment 3 Eric Covener 2012-11-27 21:35:40 UTC
Need supporting documentation. What did the browser send? What did the logs say? Did AllowEncodedSlashes make a difference?
Comment 4 William A. Rowe Jr. 2018-11-07 21:08:42 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.